import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetContradictionsData = createAsyncThunk(
  "PROVINCE_GET_CONTRADICTIONS_DATA",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.get(
        `/killing_info_discrepancy_report/?date1=${d.selectedDate1}&date2=${
          d.selectedDate2
        }&role=${getRoleFromUrl()}`
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (error) {
      dispatch(LOADING_END());
      throw error;
    }
  }
);
